#include<bits/stdc++.h>
#include<vector>
using namespace std;
int main(){
	map<int,int> mapa;
	vector <long> vektor;
	int k,i,j,n,br=0,jeste;
	scanf("%d%d",&n,&k);
	for(i=1;i<=n;i++){
		scanf("%d",&jeste);
		mapa[jeste]+=1;
		if(mapa[jeste]==k){
			vektor.push_back(jeste);
			br+=1;
		}
	}
	printf("%d\n",br);
	for(j=0;j<br;j++)printf("%d ",vektor[j]);
}